#include "colors.inc"
#include "shapes.inc"
#include "shapes2.inc"
#include "textures.inc"


/* Light: Light01 */
object {
    light_source { <25 31 -176> color red 1 green 1 blue 1}}

/* Light: Light02 */
object {
    light_source { <-45 101 -112> color red 0.53 green 0.62 blue 1}}

/* Camera: Camera01 */
camera {
   location <0 1 -40>
   direction <0 0 2>
   up <0 1 0>
   sky  <0 1 0>
   right <1.33 0 0>
   look_at <0 3 0>
}
/* A ground to move against and reflect for spectacular MORPH
   results*/
object {
   plane {<0 1 0> -5}
   texture {
     checker colour red 0.7 green 0.0 blue 0.0 colour Black
     scale <10 10 10>
    }
}

/*This shape is the background morphing shape. It remains stationary.
  Notice that this will place the object to be morphed in a 'neutral'
  area that will not be affected by the 'morphing' field.*/
  
/* Second Keyframe shape for Morphing object.
   Here we will also add 2 pearlescent spheres for added visual
   impact*/
   
#declare Frame_2_Topobject =
composite {   
object {
   intersection {
   quadric
   {Hyperboloid_Y}
   sphere {<0 0 0> 3}
   }
   texture {
   Jade
   ambient   0.07
   diffuse   0.72
   reflection   0.52
   phong   0.75
   phong_size   31
   scale <1 2 1>
}
}
object {
   sphere {<0 0 0> 1}
   texture {
   colour Silver
   ambient   0.07
   diffuse   0.72
   reflection   0.52
   phong   0.75
   phong_size   31
   }
    translate <3 1 0>  // Moved right 3 units along x axis
    				 // and 1 units along the y axis
}
object {
   sphere {<0 0 0> 1}
   texture {
   colour Silver
   ambient   0.07
   diffuse   0.72
   reflection   0.52
   phong   0.75
   phong_size   31
   }
    translate <-3 1 0>  // Moved left 3 units along x axis
    				 // and 1 units along the y axis
}
}

/*Now to place the composite as one object into place*/
composite {Frame_2_Topobject scale <1.5 1.5 1.5> 
		rotate <30 45 0> translate <0 8 0>}
